package com.gyee.wisdom.alarm.sharding.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.wisdom.alarm.sharding.entity.StationInfo;
import com.gyee.wisdom.alarm.sharding.mapper.StationInfoMapper;
import com.gyee.wisdom.alarm.sharding.util.StringUtil;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description:
 * @auther: Wanghs
 * @date: 2022-06-17
 */
@Service
public class StationInfoService extends ServiceImpl<StationInfoMapper, StationInfo> {

    public List<StationInfo> getStationInfo(String stationId) {
        QueryWrapper<StationInfo> wrapper = new QueryWrapper<>();
        if (StringUtil.isNotBlank(stationId))
            wrapper.eq("ID", stationId);
        List<StationInfo> stationInfos = baseMapper.selectList(wrapper);
        return stationInfos;
    }
}
